using Connected.Annotations;
using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;

public partial class CardContent : UIComponent
{
	protected string Classname =>
	new CssBuilder("card-content")
	  .AddClass(AdditionalClassList)
	.Build();

	/// <summary>
	/// Child content of the component.
	/// </summary>
	[Parameter]
	[Category(CategoryTypes.Card.Behavior)]
	public RenderFragment ChildContent { get; set; }
}
